Subject: RE: [mobile-ip] Routing header Vs tunneling

From: "Glenn Morrow"<[email-masked]>
Date: Thu, 31 Jan 2002 10:06:01 -0600

Pekka,

Thanks for the encouragement. Actually, the data structures to do ZOD should
already be in place from the existing implementations. This compared with a
new DO seems to me to be a similar rework in terms of effort and it seems to
solve the same problems yet with no overhead. It seems to me that there is
already some significant boat-rocking going on with MIPv6 already for the
same reasons. Why not just make it more optimal and completely transparent
to interior nodes, as well? 

As Charlie pointed out earlier, the new DO will still not be transparent to
firewalls. ZOD is completely transparent to firewalls i.e. NOTHING and I
mean NOTHING could get in its way.  

As far as the slow argument goes I really can't accept this excuse as MIPv6
has already taken way way too long already and the "don't rock the boat now"
reasoning is actually responsible for this slowness, IMO. The fact that
"NOTHING could get in its way" is a very powerful argument for speeding the
route optimization of MIPv6 up.

The namespace stuff intrigues me, but I suppose my present thinking is that
we don't need to send HI's in every packet. I.e. the same reasoning given by
others on this issue is used in ZOD to not send the MIP home address in
every packet. So from a fear of hypocrisy point of view, ZOD should make
reasonable sense to those who do not think the HI should be sent on every
packet. If not, perhaps this ID may serve to change peoples minds and
expedite the resolution of the HI/Stack ID question.

Thanks for the additional ID. I will take a look and give comments to the
author. I was a bit undecided on which WG this belongs in. I also appreciate
the opinion on the appropriate place; however it seems to me that MIP would
benefit the most from it.

Thanks again,

Glenn

> -----Original Message-----
> From: Pekka Nikander [mailto:[email-masked]]
> Sent: Thursday, January 31, 2002 7:27 AM
> To: Morrow, Glenn [RICH2:C330:EXCH]
> Cc: [email-masked]
> Subject: Re: [mobile-ip] Routing header Vs tunneling
> 
> 
> Glenn,
> 
> 
> You wrote:
> 
> > I am also interested in others' opinions (even the critical 
> ones) on 
> > these proposals. It was written to show what could be 
> possible given a 
> > set of choices and then asks for opinions on what choices 
> make the best 
> > sense to the group as a whole.
> > 
> > Here is a link to the ID:
> > http://search.ietf.org/internet-drafts/draft-morrow-mipv6-zod-00.txt
> > 
> > Comments would be appreciated. I am not fishing for a 
> presentation slot 
> > on this. The mail list and ID should be sufficient to 
> convey the proposals.
> 
> 
> In general, I very much agree with the fundamental message of 
> your I-D.
> However, I also simultaneously think that this is not the right time
> or place to start doing that big revisions to the Mobile IPv6 spec.
> As Basaravaj implied, I think that there is a good chance that we can
> actually get a working MIPv6 security solution, and also the 
> other security
> problems *well* *enough* addressed, by Minneapolis.  Thus, it 
> seems like
> it may well be possible to get MIPv6 into a standards track 
> RFC pretty soon.
> We shouldn't foil this possibility by trying to go too far.
> 
> Considering your observations, I also think that there starts 
> to be the time
> to considerably revise the internet architecture.  Noel 
> Chiappa's end-points
> note http://users.exis.net/~jnc/tech/endpoints.txt is an 
> important document
> discussing most of the issues related.  The HIP BoF seems to 
> be the place
> at the IETF where _something_ is happening in this arena, 
> though slowly.
> I think that your work falls beatifully within that approach.
> 
> --Pekka Nikander
> 
> 
> 
>